/*:ja
 * @plugindesc 各種ウィンドウの微調整
 * @author shun
 *
 * @help このプラグインにはプラグインコマンドはありません。

 */

(function () {
    function toNumber(str, def) {
        return isNaN(str) ? def : +(str || def);
    }

    var parameters = PluginManager.parameters('SHT_MessageWindow');
    var offsetY = toNumber(parameters['offsetY'], 0);
    var textHeight = toNumber(parameters['textHeight'], 0);

    Window_Message.prototype.standardPadding = function () {
        return 20;
    };

    // Window_Message.prototype.contentsHeight = function () {
    //     return 92;
    // };

    Window_Message.prototype.fittingHeight = function (numLines) {
        return 100;
    };


    Window_Message.prototype.contentsWidth = function () {
        return this.width - this.standardPadding() * 4;
    };

    Window_Message.prototype.lineHeight = function () {
        return 26;
    };

    Window_Message.prototype._refreshContents = function () {
        this._windowContentsSprite.move(this.padding * 2, this.padding + 4);
    };

    //========================================
    // Window_NameBox
    //========================================

    Window_NameBox.prototype.windowWidth = function () {
        return 169;
    };

    Window_NameBox.prototype.windowHeight = function () {
        return 44;
    };

    Window_NameBox.prototype.standardPadding = function () {
        return 0;
    };

    Window_NameBox.prototype.lineHeight = function () {
        return 18;
    };

    Window_NameBox.prototype.drawTextEx = function (text, x, y) {
        if (text) {
            this.resetFontSettings();
            var textState = { index: 0, x: x, y: y, left: x };
            textState.text = this.convertEscapeCharacters(text);
            textState.height = this.calcTextHeight(textState, false);

            var textWidth = 0;
            for (var i = 0; i < text.length; i++) {
                textWidth += this.textWidth(text[i]);
            }

            textState.x = (this.width - textWidth) / 2;

            while (textState.index < textState.text.length) {
                this.processCharacter(textState);
            }
            return textState.x - x;
        } else {
            return 0;
        }
    };

    Window_NameBox.prototype._refreshContents = function () {
        this._windowContentsSprite.move(0, 10);
    };

})();